function createInstrument(%name, %low, %high)
{
	$InstrumentLow[%name] = %low;
	$InstrumentHigh[%name] = %high;
	
	for(%a = %low; %a <= %high; %a++)
	{	
		if(!isFile(%file = "Add-Ons/Script_Music/sounds/" @ %name @ "_" @ %a @ ".wav"))
		{
			continue;
		}
		
		%db = "MusicInstrument" @ %name @ "_" @ %a;
		
		eval("datablock AudioProfile(" @ %db @ ") { description = \"Audio2D\"; fileName = \"" @ %file @ "\"; };");
		
		$InstrumentSound[%name, %a] = %db;
	}
}

createInstrument("banjo", 60, 84);
createInstrument("bass", 36, 60);
createInstrument("cello", 48, 72);
createInstrument("banjo", 60, 84);
createInstrument("clarinet", 60, 84);
createInstrument("elecbass", 36, 60);
createInstrument("elecguitar", 60, 84);
createInstrument("flute", 84, 108);
createInstrument("freereed", 60, 84);
createInstrument("guitar", 60, 84);
createInstrument("harp", 60, 84);
createInstrument("marimba", 72, 96);
createInstrument("sax", 60, 84);
createInstrument("trumpet", 72, 96);
createInstrument("tuba", 36, 60);
createInstrument("violin", 72, 96);